# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager//CMakeFiles/progress.marks
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
dbmanager/CMakeFiles/dbmanager.dir/rule:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/CMakeFiles/dbmanager.dir/rule
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/rule

# Convenience name for target.
dbmanager: dbmanager/CMakeFiles/dbmanager.dir/rule
.PHONY : dbmanager

# fast build rule for target.
dbmanager/fast:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/build
.PHONY : dbmanager/fast

# Convenience name for target.
dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule

# Convenience name for target.
dbmanager_autogen_timestamp_deps: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule
.PHONY : dbmanager_autogen_timestamp_deps

# fast build rule for target.
dbmanager_autogen_timestamp_deps/fast:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build
.PHONY : dbmanager_autogen_timestamp_deps/fast

# Convenience name for target.
dbmanager/CMakeFiles/dbmanager_autogen.dir/rule:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/CMakeFiles/dbmanager_autogen.dir/rule
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen.dir/rule

# Convenience name for target.
dbmanager_autogen: dbmanager/CMakeFiles/dbmanager_autogen.dir/rule
.PHONY : dbmanager_autogen

# fast build rule for target.
dbmanager_autogen/fast:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen.dir/build
.PHONY : dbmanager_autogen/fast

__/server/database/database.o: __/server/database/database.cpp.o
.PHONY : __/server/database/database.o

# target to build an object file
__/server/database/database.cpp.o:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o
.PHONY : __/server/database/database.cpp.o

__/server/database/database.i: __/server/database/database.cpp.i
.PHONY : __/server/database/database.i

# target to preprocess a source file
__/server/database/database.cpp.i:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.i
.PHONY : __/server/database/database.cpp.i

__/server/database/database.s: __/server/database/database.cpp.s
.PHONY : __/server/database/database.s

# target to generate assembly for a file
__/server/database/database.cpp.s:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.s
.PHONY : __/server/database/database.cpp.s

db_manager.o: db_manager.cpp.o
.PHONY : db_manager.o

# target to build an object file
db_manager.cpp.o:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o
.PHONY : db_manager.cpp.o

db_manager.i: db_manager.cpp.i
.PHONY : db_manager.i

# target to preprocess a source file
db_manager.cpp.i:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.i
.PHONY : db_manager.cpp.i

db_manager.s: db_manager.cpp.s
.PHONY : db_manager.s

# target to generate assembly for a file
db_manager.cpp.s:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.s
.PHONY : db_manager.cpp.s

dbmanager_autogen/mocs_compilation.o: dbmanager_autogen/mocs_compilation.cpp.o
.PHONY : dbmanager_autogen/mocs_compilation.o

# target to build an object file
dbmanager_autogen/mocs_compilation.cpp.o:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o
.PHONY : dbmanager_autogen/mocs_compilation.cpp.o

dbmanager_autogen/mocs_compilation.i: dbmanager_autogen/mocs_compilation.cpp.i
.PHONY : dbmanager_autogen/mocs_compilation.i

# target to preprocess a source file
dbmanager_autogen/mocs_compilation.cpp.i:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.i
.PHONY : dbmanager_autogen/mocs_compilation.cpp.i

dbmanager_autogen/mocs_compilation.s: dbmanager_autogen/mocs_compilation.cpp.s
.PHONY : dbmanager_autogen/mocs_compilation.s

# target to generate assembly for a file
dbmanager_autogen/mocs_compilation.cpp.s:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.s
.PHONY : dbmanager_autogen/mocs_compilation.cpp.s

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/main.cpp.s
.PHONY : main.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... dbmanager_autogen"
	@echo "... dbmanager_autogen_timestamp_deps"
	@echo "... dbmanager"
	@echo "... __/server/database/database.o"
	@echo "... __/server/database/database.i"
	@echo "... __/server/database/database.s"
	@echo "... db_manager.o"
	@echo "... db_manager.i"
	@echo "... db_manager.s"
	@echo "... dbmanager_autogen/mocs_compilation.o"
	@echo "... dbmanager_autogen/mocs_compilation.i"
	@echo "... dbmanager_autogen/mocs_compilation.s"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

